/*
* color.h:
*
* Copyright (c) 2002 James McKenzie <james@fishsoup.dhs.org>,
* All rights reserved.
*
*/

/*
 * $Id: color.h,v 1.4 2002/08/17 15:27:53 root Exp $
 */

/*
 * $Log: color.h,v $
 * Revision 1.4  2002/08/17 15:27:53  root
 * #
 *
 * Revision 1.3  2002/08/15 11:41:18  root
 * #
 *
 * Revision 1.2  2002/08/15 11:41:06  root
 * #
 *
 * Revision 1.1  2002/08/12 15:42:48  root
 * #
 *
 */

#ifndef __COLOR_H__
#define __COLOR_H__


class GisColor
{
  void itof(void);
  void ftoi(void);
public:
  double r, g, b;
  int ir, ig, ib;

  unsigned long bgr(void);
  unsigned long rgb(void);
  char *ps(void);
  void brflip(void);
  guint32 X(void);
  art_u32 art(int);
  u_int32_t pb(int);

  GisColor();
  GisColor(char *);
  GisColor(int);
  GisColor(unsigned long);
  GisColor(float, float, float);
  GisColor(double, double, double);
  GisColor(int, int, int);

};

extern GisColor Cblack, Cblue, Cgreen, Ccyan, Cred, Cmagenta, Cyellow, Cwhite, Cgrey, Cscale;

#endif __COLOR_H__
