/*
* fops.cc:
*
* Copyright (c) 2002 James McKenzie <james@fishsoup.dhs.org>,
* All rights reserved.
*
*/

static char rcsid[] = "$Id: fops.cc,v 1.3 2002/08/17 11:30:19 root Exp $";

/*
 * $Log: fops.cc,v $
 * Revision 1.3  2002/08/17 11:30:19  root
 * #
 *
 * Revision 1.2  2002/08/15 11:41:18  root
 * #
 *
 * Revision 1.1  2002/08/15 11:41:06  root
 * #
 *
 */

#include "project.h"

void save_pixbuf_to_stream_incr_start(int w, int h, FILE *f)
{
  if (!f)
    return ;

  //FIXME check for grey

  fprintf(f, "P6\n");
  //FIXME comments about where we are...
  fprintf(f, "%d %d\n255\n", w, h);

}

void save_pixbuf_to_stream_incr_save(GdkPixbuf *pb, int w, int h, FILE *f)
{
  unsigned char *ptr = (unsigned char *) gdk_pixbuf_get_pixels(pb);
  int rs = gdk_pixbuf_get_rowstride(pb);


  if (!f)
    return ;

  w *= 3;

  while (h--) {
    fwrite(ptr, 1, w, f);
    ptr += rs;
  }

}

void save_pixbuf_to_stream(GdkPixbuf *pb, int w, int h, FILE *f)
{
  unsigned char *ptr = (unsigned char *) gdk_pixbuf_get_pixels(pb);
  int rs = gdk_pixbuf_get_rowstride(pb);


  if (!f)
    return ;

  //FIXME check for grey

  fprintf(f, "P6\n");
  //FIXME comments about where we are...
  fprintf(f, "%d %d\n255\n", w, h);

  w *= 3;

  while (h--) {
    fwrite(ptr, 1, w, f);
    ptr += rs;
  }

}

int save_pixbuf(GdkPixbuf *pb, const char *fn)
{
  FILE *f = fopen(fn, "w");
  if (!f)
    return 0;
  save_pixbuf_to_stream(pb, gdk_pixbuf_get_width(pb), gdk_pixbuf_get_height(pb), f);
  fclose(f);
}

