/*
* ios.h:
*
* Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
* All rights reserved.
*
*/

/*
 * $Id: ios.h,v 1.5 2001/12/16 17:44:02 root Exp $
 */

/*
 * $Log: ios.h,v $
 * Revision 1.5  2001/12/16 17:44:02  root
 * #
 *
 * Revision 1.4  2001/12/16 17:33:58  root
 * #
 *
 * Revision 1.3  2001/12/16 17:32:38  root
 * #
 *
 */

#ifndef __IOS_H__
#define __IOS_H__


class IosImgCoordSystem: public ImageCoordSystem
{
public:
  string name (void);
  ImageCoord lltoic (LatLon);
  LatLon ictoll (ImageCoord);
};

class IosCoordSystem: public CoordSystem
{
public:
  string name (void);
  string lltocs (LatLon);
  LatLon cstoll (string);
};

extern Map *create_iosmap (void);
#endif __IOS_H__
