/*
* map.h:
*
* Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
* All rights reserved.
*
*/

/*
 * $Id: map.h,v 1.10 2002/08/17 15:27:53 root Exp $
 */

/*
 * $Log: map.h,v $
 * Revision 1.10  2002/08/17 15:27:53  root
 * #
 *
 * Revision 1.9  2002/08/15 15:30:59  root
 * #
 *
 * Revision 1.8  2001/12/16 17:56:08  root
 * #
 *
 * Revision 1.7  2001/12/16 17:44:02  root
 * #
 *
 * Revision 1.6  2001/12/16 17:33:58  root
 * #
 *
 * Revision 1.5  2001/12/06 17:47:08  root
 * #
 *
 * Revision 1.4  2001/12/06 16:18:04  root
 * #
 *
 * Revision 1.3  2001/12/06 04:26:39  root
 * #
 *
 * Revision 1.2  2001/12/06 01:02:21  root
 * #
 *
 * Revision 1.1  2001/12/05 20:13:37  root
 * #
 *
 */

#ifndef __MAP_H__
#define __MAP_H__

#define RENDER_LAZY 0
#define RENDER_TRY_HARDER 1

class Map
{
public:
  virtual string name (void) = 0;
  virtual void render (GisDrawable * d, ViewCoordSystem * vcs, ViewRect * p, int effort) = 0;
  virtual ~ Map () {} ;
  ImageCoordSystem *preferedics;
  double preferedscale;
  int tiled;
};



#endif /* __MAP_H__ */
