#include "project.h"

#include "coords/libcoords.h"

//for htonl stuff...
extern "C"
{
#  include <netinet/in.h>
};


static LatLon wgs84toll (WGS84 w)
{
  return LatLon (w.lat, w.lon);
}

string GBPlace::name (void)
{
  return string ("GB Places");
}

string name (void);
string lltocs (LatLon);
LatLon cstoll (string);

string GBPlace::lltocs (LatLon l)
{
  return string ("");
}

LatLon GBPlace::cstoll (string s)
{
  LatLon ll (0, 0);
  BOSXY xy (0, 0);
  char buf[1024];
  char place[80];
  FILE *f;
  u_int32_t i;

  for (i = 0; i < s.length (); ++i) {
    place[i] = (s[i]);
  }
  place[i] = 0;


  sprintf (buf, "%s/os_placenames", getenv ("PLACEPATH"));
  f = fopen (buf, "r");
  if (!f)
    return ll;

  while (fgets (buf, sizeof (buf) - 1, f)) {

    if (strstr(buf, place)) {
      fputs(buf, stderr);
      char *ptr = buf;
      while ((*ptr) && (*ptr != '\t'))
        ptr++;
      ptr++;
      while ((*ptr) && (*ptr != '\t'))
        ptr++;
      ptr++;
      ll.lat = atof(ptr);
      while ((*ptr) && (*ptr != '\t'))
        ptr++;
      ptr++;
      ll.lon = atof(ptr);
    }
  }

  fclose (f);

  return ll;
}
