/*
* bos.h:
*
* Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
* All rights reserved.
*
*/

/*
 * $Id: bos.h,v 1.9 2002/06/21 17:33:06 root Exp $
 */

/*
 * $Log: bos.h,v $
 * Revision 1.9  2002/06/21 17:33:06  root
 * #
 *
 * Revision 1.8  2001/12/16 17:44:02  root
 * #
 *
 * Revision 1.7  2001/12/16 17:33:58  root
 * #
 *
 * Revision 1.6  2001/12/06 17:47:08  root
 * #
 *
 * Revision 1.5  2001/12/06 16:18:04  root
 * #
 *
 * Revision 1.4  2001/12/06 04:26:39  root
 * #
 *
 * Revision 1.3  2001/12/06 01:02:21  root
 * #
 *
 * Revision 1.2  2001/12/05 20:13:37  root
 * #
 *
 * Revision 1.1  2001/12/05 17:59:56  root
 * #
 *
 */

#ifndef __BOS_H__
#define __BOS_H__



class BosImgCoordSystem: public ImageCoordSystem
{
public:
  string name (void);
  ImageCoord lltoic (LatLon);
  LatLon ictoll (ImageCoord);
};

class BosCoordSystem: public CoordSystem
{
public:
  string name (void);
  string lltocs (LatLon);
  LatLon cstoll (string);
};

class BosxyCoordSystem: public CoordSystem
{
public:
  string name (void);
  string lltocs (LatLon);
  LatLon cstoll (string);
};

extern Map *create_bosmap (int s);

#endif /* __BOS_H__ */
