/*
 * embed.c:
 *
 * Copyright (c) 2002 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

static char rcsid[] = "$Id: embed.c,v 1.1 2002/08/17 13:10:39 root Exp $";

/*
 * $Log: embed.c,v $
 * Revision 1.1  2002/08/17 13:10:39  root
 * #
 *
 */

#include <stdio.h>

int
main (int argc, char *argv[])
{
  FILE *f;
  char buf[1024], *ptr;
  int i, c, n;

  argc--;
  argv++;

  while (argc)
    {

      f = fopen (*argv, "r");
      if (f)
        {

          strcpy (ptr = buf, *argv);
          while (*ptr)
            {
              if (!isalnum (*ptr))
                *ptr = '_';
              ptr++;
            }

          printf ("unsigned char %s[]=\n", buf);

          printf ("\"");
          i = 0;
          n = 0;
          while ((c = getc (f)) != EOF)
            {

              if ((c == '"') || (c == '\\') || (c < 32) || (c > 126))
                {
                  printf ("\\%03o", c);
                }
              else
                {
                  printf ("%c", c);
                }
              i++;
              n++;
              if (i == 64)
                {
                  i = 0;
                  printf ("\"\n\"");
                }
            }
          printf ("\"\n");
          printf (";\nint %s_len=%d;\n\n", buf, n);
          fclose (f);
        }
      argv++;
      argc--;
    }

  return 0;
}
