/*
* markup.h:
*
* Copyright (c) 2002 James McKenzie <james@fishsoup.dhs.org>,
* All rights reserved.
*
*/

/*
 * $Id: markup.h,v 1.6 2002/08/17 15:50:56 root Exp root $
 */

/*
 * $Log: markup.h,v $
 * Revision 1.6  2002/08/17 15:50:56  root
 * #
 *
 * Revision 1.5  2002/08/17 15:27:53  root
 * #
 *
 * Revision 1.4  2002/08/17 11:30:19  root
 * #
 *
 * Revision 1.3  2002/08/15 15:30:59  root
 * #
 *
 * Revision 1.2  2002/08/15 11:41:06  root
 * #
 *
 * Revision 1.1  2002/08/12 15:42:48  root
 * #
 *
 */

#ifndef __LINES_H__
#define __LINES_H__

extern Map * create_markupmap (void);

/* And now stuff for the parser */

extern void markup_p_icon(double, double, char *);
extern void markup_p_ntext(double, double, char *, char *, double);
extern void markup_p_nline(double, double, double, double, char *, double);
extern void markup_p_eline(double, double, double, double, char *, double);






#endif /* __LINES_H__ */

